ubuntu16.04安装openpose编译出现错误/libopenpose.so.1.4.0:对‘caffe::Net未定义的引用 5C

图片说明

caffe编译测试通过,将生成的caffe.pb.h和caffe.pb.cc文件放入指定文件这一步也做了,在openpose/build 文件下执行make -j'nproc'出现如图错误,感谢

qq_45088284
Da Vinyi 回复weixin_43851218: 我也是这个错误,请问你们解决了么?
3 个月之前 回复
Bonjour_ca_va
Bonjour_ca_va 回复weixin_43851218: 你解决了吗?我也是报这个错误
3 个月之前 回复
weixin_43851218
weixin_43851218 请问你解决了吗 , 我也遇到了一样的问题
6 个月之前 回复

1个回答

suppig111
suppig111 我的出现的错误不是libcaffe.so的问题
大约一年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
用Ubuntu16.04编译iDT算法(c++)时报错:/usr/lib/gcc/x86_64-linux-gnu/5/../../../x86_64-linux-gnu/crt1.o: In function `_start':(.text+0x20): undefined reference to `main'

最近在学习iDT算法,刚刚接触Ubuntu也刚刚接触c++,很多东西不是很懂,请教各位: 我在编译iDT算法的时候,需要依赖opencv和ffmpeg两个库,我安装成功并且确保这两个库能用之后,去编译iDT算法,'make'之后报错: ![图片说明](https://img-ask.csdn.net/upload/202001/10/1578648835_846854.png) 查过资料,有的人说是缺少main函数,但是我确保.cpp文件里是有main函数的。 也有帖子说是crt1.o文件的问题,也有帖子说是动态库的问题,现在很迷茫,不知道问题出在哪里,希望各位能够帮助我,万分感谢。 同时为了方便各位帮我找到问题,我上一下我的makefile文件以及Opencv和ffmpeg的安装信息。 Makefile文件 ``` # set the binaries that have to be built TARGETS := DenseTrack Video # set the build configuration set BUILD := release #BUILD := debug # set bin and build dirs BUILDDIR := .build_$(BUILD) BINDIR := $(BUILD) # libraries LDLIBS = $(addprefix -l, $(LIBS) $(LIBS_$(notdir $*))) LIBS := \ opencv_core opencv_highgui opencv_video opencv_imgproc \ avformat avdevice avutil avcodec swscale # set some flags and compiler/linker specific commands CXXFLAGS = -pipe -D __STDC_CONSTANT_MACROS -D STD=std -Wall $(CXXFLAGS_$(BUILD)) -I. -I/opt/include CXXFLAGS_debug := -ggdb CXXFLAGS_release := -O3 -DNDEBUG -ggdb LDFLAGS = -L/opt/lib -pipe -Wall $(LDFLAGS_$(BUILD)) LDFLAGS_debug := -ggdb LDFLAGS_release := -O3 -ggdb include make/generic.mk ``` 下面是opencv和ffmpeg的安装信息: ffmpeg: ![图片说明](https://img-ask.csdn.net/upload/202001/10/1578649174_591798.png) opencv: ![图片说明](https://img-ask.csdn.net/upload/202001/10/1578649330_643110.png) 恳请各位帮忙!!(小弟没有金币,没办法给悬赏,还请各位见谅!)

无法在Ubuntu 16.04上访问http:// ip / phpmyadmin

<div class="post-text" itemprop="text"> <p>I'm on Ubuntu 16.04 Server. I've installed apache2, php5, php7, mysql. Then I installed phpmyadmin over Ubuntu 16.04 i this way:</p> <pre><code>sudo apt-get update sudo apt-get install phpmyadmin php-mbstring php-gettext </code></pre> <p>the result is this:</p> <pre><code>Hit:1 http://us.archive.ubuntu.com/ubuntu xenial InRelease Get:2 http://security.ubuntu.com/ubuntu xenial-security InRelease [109 kB] Get:3 http://us.archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB] Hit:4 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease Get:5 http://us.archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB] Fetched 325 kB in 0s (343 kB/s) Reading package lists... Done Reading package lists... Done Building dependency tree Reading state information... Done The following additional packages will be installed: dbconfig-common dbconfig-mysql fontconfig-config fonts-dejavu-core javascript-common libfontconfig1 libgd3 libjbig0 libjpeg-turbo8 libjpeg8 libjs-jquery libjs-sphinxdoc libjs-underscore libmcrypt4 libtiff5 libwebp6 libx11-6 libx11-data libxau6 libxcb1 libxdmcp6 libxpm4 libxslt1.1 php-gd php-mcrypt php-mysql php-pear php-phpseclib php-tcpdf php-xml php7.0 php7.0-cli php7.0-common php7.0-fpm php7.0-json php7.0-mcrypt php7.0-opcache php7.0-readline php7.3-common php7.3-gd php7.3-mbstring php7.3-mysql php7.3-xml Suggested packages: libgd-tools libmcrypt-dev mcrypt php-libsodium php-gmp php-imagick www-browser The following NEW packages will be installed: dbconfig-common dbconfig-mysql fontconfig-config fonts-dejavu-core javascript-common libfontconfig1 libgd3 libjbig0 libjpeg-turbo8 libjpeg8 libjs-jquery libjs-sphinxdoc libjs-underscore libmcrypt4 libtiff5 libwebp6 libx11-6 libx11-data libxau6 libxcb1 libxdmcp6 libxpm4 libxslt1.1 php-gd php-gettext php-mbstring php-mcrypt php-mysql php-pear php-phpseclib php-tcpdf php-xml php7.0-mcrypt php7.3-common php7.3-gd php7.3-mbstring php7.3-mysql php7.3-xml phpmyadmin The following packages will be upgraded: php7.0 php7.0-cli php7.0-common php7.0-fpm php7.0-json php7.0-opcache php7.0-readline 7 upgraded, 39 newly installed, 0 to remove and 13 not upgraded. Need to get 21.3 MB of archives. After this operation, 70.7 MB of additional disk space will be used. Do you want to continue? [Y/n] y Get:1 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 libxau6 amd64 1:1.0.8-1 [8,376 B] Get:2 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libjpeg-turbo8 amd64 1.4.2-0ubuntu3.1 [111 kB] Get:3 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libjbig0 amd64 2.1-3.1+deb.sury.org~xenial+1 [26.4 kB] Get:4 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 libxdmcp6 amd64 1:1.1.2-1.1 [11.0 kB] Get:5 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 libxcb1 amd64 1.11.1-1ubuntu1 [40.0 kB] Get:6 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libx11-data all 2:1.6.3-1ubuntu2.1 [113 kB] Get:7 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libx11-6 amd64 2:1.6.3-1ubuntu2.1 [570 kB] Get:8 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 dbconfig-common all 2.0.4ubuntu1 [582 kB] Get:9 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libwebp6 amd64 0.6.0-4+ubuntu16.04.1+deb.sury.org+1 [184 kB] Get:10 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 dbconfig-mysql all 2.0.4ubuntu1 [1,038 B] Get:11 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 fonts-dejavu-core all 2.35-1 [1,039 kB] Get:12 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 fontconfig-config all 2.11.94-0ubuntu1.1 [49.9 kB] Get:13 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 javascript-common all 11 [6,066 B] Get:14 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libfontconfig1 amd64 2.11.94-0ubuntu1.1 [131 kB] Get:15 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 libjpeg8 amd64 8c-2ubuntu8 [2,194 B] Get:16 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libtiff5 amd64 4.0.6-1ubuntu0.6 [149 kB] Get:17 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libxpm4 amd64 1:3.5.11-1ubuntu0.16.04.1 [33.8 kB] Get:18 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 libjs-jquery all 1.11.3+dfsg-4 [161 kB] Get:19 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 libjs-underscore all 1.7.0~dfsg-1ubuntu1 [46.7 kB] Get:20 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libjs-sphinxdoc all 1.3.6-2ubuntu1.2 [57.8 kB] Get:21 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 libmcrypt4 amd64 2.5.8-3.3 [63.0 kB] Get:22 http://us.archive.ubuntu.com/ubuntu xenial-updates/main amd64 libxslt1.1 amd64 1.1.28-2.1ubuntu0.2 [146 kB] Get:23 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 php-mcrypt all 1:7.0+35ubuntu6.1 [1,934 B] Get:24 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 php-phpseclib all 2.0.1-1build1 [173 kB] Get:25 http://us.archive.ubuntu.com/ubuntu xenial/universe amd64 php-tcpdf all 6.0.093+dfsg-1ubuntu1 [7,881 kB] Get:26 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 libgd3 amd64 2.2.5-5.1+ubuntu16.04.1+deb.sury.org+1 [133 kB] Get:27 http://us.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 phpmyadmin all 4:4.5.4.1-2ubuntu2.1 [3,946 kB] Get:28 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.3-common amd64 7.3.5-1+ubuntu16.04.1+deb.sury.org+1 [935 kB] Get:29 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.3-gd amd64 7.3.5-1+ubuntu16.04.1+deb.sury.org+1 [26.4 kB] Get:30 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php-gd all 2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3 [6,004 B] Get:31 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.0-json amd64 7.0.33-7+ubuntu16.04.1+deb.sury.org+1 [16.9 kB] Get:32 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.0-opcache amd64 7.0.33-7+ubuntu16.04.1+deb.sury.org+1 [77.3 kB] Get:33 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.0-fpm amd64 7.0.33-7+ubuntu16.04.1+deb.sury.org+1 [1,289 kB] Get:34 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.0-readline amd64 7.0.33-7+ubuntu16.04.1+deb.sury.org+1 [12.8 kB] Get:35 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.0 all 7.0.33-7+ubuntu16.04.1+deb.sury.org+1 [55.9 kB] Get:36 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.0-cli amd64 7.0.33-7+ubuntu16.04.1+deb.sury.org+1 [1,282 kB] Get:37 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.0-common amd64 7.0.33-7+ubuntu16.04.1+deb.sury.org+1 [894 kB] Get:38 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.3-xml amd64 7.3.5-1+ubuntu16.04.1+deb.sury.org+1 [103 kB] Get:39 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php-xml all 2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3 [6,028 B] Get:40 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php-pear all 1:1.10.8+submodules+notgz-1+ubuntu16.04.1+deb.sury.org+1 [287 kB] Get:41 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php-gettext all 1.0.11-2+deb.sury.org~xenial+1 [15.9 kB] Get:42 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.3-mbstring amd64 7.3.5-1+ubuntu16.04.1+deb.sury.org+1 [508 kB] Get:43 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php-mbstring all 2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3 [6,020 B] Get:44 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.0-mcrypt amd64 7.0.33-7+ubuntu16.04.1+deb.sury.org+1 [14.5 kB] Get:45 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php7.3-mysql amd64 7.3.5-1+ubuntu16.04.1+deb.sury.org+1 [116 kB] Get:46 http://ppa.launchpad.net/ondrej/php/ubuntu xenial/main amd64 php-mysql all 2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3 [6,008 B] Fetched 21.3 MB in 13s (1,553 kB/s) Extracting templates from packages: 100% Preconfiguring packages ... Selecting previously unselected package libxau6:amd64. (Reading database ... 43832 files and directories currently installed.) Preparing to unpack .../libxau6_1%3a1.0.8-1_amd64.deb ... Unpacking libxau6:amd64 (1:1.0.8-1) ... Selecting previously unselected package libjpeg-turbo8:amd64. Preparing to unpack .../libjpeg-turbo8_1.4.2-0ubuntu3.1_amd64.deb ... Unpacking libjpeg-turbo8:amd64 (1.4.2-0ubuntu3.1) ... Selecting previously unselected package libxdmcp6:amd64. Preparing to unpack .../libxdmcp6_1%3a1.1.2-1.1_amd64.deb ... Unpacking libxdmcp6:amd64 (1:1.1.2-1.1) ... Selecting previously unselected package libxcb1:amd64. Preparing to unpack .../libxcb1_1.11.1-1ubuntu1_amd64.deb ... Unpacking libxcb1:amd64 (1.11.1-1ubuntu1) ... Selecting previously unselected package libx11-data. Preparing to unpack .../libx11-data_2%3a1.6.3-1ubuntu2.1_all.deb ... Unpacking libx11-data (2:1.6.3-1ubuntu2.1) ... Selecting previously unselected package libx11-6:amd64. Preparing to unpack .../libx11-6_2%3a1.6.3-1ubuntu2.1_amd64.deb ... Unpacking libx11-6:amd64 (2:1.6.3-1ubuntu2.1) ... Selecting previously unselected package dbconfig-common. Preparing to unpack .../dbconfig-common_2.0.4ubuntu1_all.deb ... Unpacking dbconfig-common (2.0.4ubuntu1) ... Selecting previously unselected package dbconfig-mysql. Preparing to unpack .../dbconfig-mysql_2.0.4ubuntu1_all.deb ... Unpacking dbconfig-mysql (2.0.4ubuntu1) ... Selecting previously unselected package fonts-dejavu-core. Preparing to unpack .../fonts-dejavu-core_2.35-1_all.deb ... Unpacking fonts-dejavu-core (2.35-1) ... Selecting previously unselected package fontconfig-config. Preparing to unpack .../fontconfig-config_2.11.94-0ubuntu1.1_all.deb ... Unpacking fontconfig-config (2.11.94-0ubuntu1.1) ... Selecting previously unselected package javascript-common. Preparing to unpack .../javascript-common_11_all.deb ... Unpacking javascript-common (11) ... Selecting previously unselected package libfontconfig1:amd64. Preparing to unpack .../libfontconfig1_2.11.94-0ubuntu1.1_amd64.deb ... Unpacking libfontconfig1:amd64 (2.11.94-0ubuntu1.1) ... Selecting previously unselected package libjpeg8:amd64. Preparing to unpack .../libjpeg8_8c-2ubuntu8_amd64.deb ... Unpacking libjpeg8:amd64 (8c-2ubuntu8) ... Selecting previously unselected package libjbig0:amd64. Preparing to unpack .../libjbig0_2.1-3.1+deb.sury.org~xenial+1_amd64.deb ... Unpacking libjbig0:amd64 (2.1-3.1+deb.sury.org~xenial+1) ... Selecting previously unselected package libtiff5:amd64. Preparing to unpack .../libtiff5_4.0.6-1ubuntu0.6_amd64.deb ... Unpacking libtiff5:amd64 (4.0.6-1ubuntu0.6) ... Selecting previously unselected package libwebp6:amd64. Preparing to unpack .../libwebp6_0.6.0-4+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking libwebp6:amd64 (0.6.0-4+ubuntu16.04.1+deb.sury.org+1) ... Selecting previously unselected package libxpm4:amd64. Preparing to unpack .../libxpm4_1%3a3.5.11-1ubuntu0.16.04.1_amd64.deb ... Unpacking libxpm4:amd64 (1:3.5.11-1ubuntu0.16.04.1) ... Selecting previously unselected package libgd3:amd64. Preparing to unpack .../libgd3_2.2.5-5.1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking libgd3:amd64 (2.2.5-5.1+ubuntu16.04.1+deb.sury.org+1) ... Selecting previously unselected package libjs-jquery. Preparing to unpack .../libjs-jquery_1.11.3+dfsg-4_all.deb ... Unpacking libjs-jquery (1.11.3+dfsg-4) ... Selecting previously unselected package libjs-underscore. Preparing to unpack .../libjs-underscore_1.7.0~dfsg-1ubuntu1_all.deb ... Unpacking libjs-underscore (1.7.0~dfsg-1ubuntu1) ... Selecting previously unselected package libjs-sphinxdoc. Preparing to unpack .../libjs-sphinxdoc_1.3.6-2ubuntu1.2_all.deb ... Unpacking libjs-sphinxdoc (1.3.6-2ubuntu1.2) ... Selecting previously unselected package libmcrypt4. Preparing to unpack .../libmcrypt4_2.5.8-3.3_amd64.deb ... Unpacking libmcrypt4 (2.5.8-3.3) ... Selecting previously unselected package libxslt1.1:amd64. Preparing to unpack .../libxslt1.1_1.1.28-2.1ubuntu0.2_amd64.deb ... Unpacking libxslt1.1:amd64 (1.1.28-2.1ubuntu0.2) ... Selecting previously unselected package php7.3-common. Preparing to unpack .../php7.3-common_7.3.5-1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.3-common (7.3.5-1+ubuntu16.04.1+deb.sury.org+1) ... Selecting previously unselected package php7.3-gd. Preparing to unpack .../php7.3-gd_7.3.5- 1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.3-gd (7.3.5-1+ubuntu16.04.1+deb.sury.org+1) ... Selecting previously unselected package php-gd. Preparing to unpack .../php-gd_2%3a7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3_all.deb ... Unpacking php-gd (2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3) ... Preparing to unpack .../php7.0-json_7.0.33-7+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.0-json (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) over (7.0.33-0ubuntu0.16.04.4) ... Preparing to unpack .../php7.0-opcache_7.0.33-7+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.0-opcache (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) over (7.0.33-0ubuntu0.16.04.4) ... Preparing to unpack .../php7.0-fpm_7.0.33-7+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.0-fpm (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) over (7.0.33-0ubuntu0.16.04.4) ... Preparing to unpack .../php7.0-readline_7.0.33-7+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.0-readline (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) over (7.0.33-0ubuntu0.16.04.4) ... Preparing to unpack .../php7.0_7.0.33-7+ubuntu16.04.1+deb.sury.org+1_all.deb ... Unpacking php7.0 (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) over (7.0.33-0ubuntu0.16.04.4) ... Preparing to unpack .../php7.0-cli_7.0.33-7+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.0-cli (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) over (7.0.33-0ubuntu0.16.04.4) ... Preparing to unpack .../php7.0-common_7.0.33-7+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.0-common (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) over (7.0.33-0ubuntu0.16.04.4) ... Selecting previously unselected package php7.3-xml. Preparing to unpack .../php7.3-xml_7.3.5-1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.3-xml (7.3.5-1+ubuntu16.04.1+deb.sury.org+1) ... Selecting previously unselected package php-xml. Preparing to unpack .../php-xml_2%3a7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3_all.deb ... Unpacking php-xml (2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3) ... Selecting previously unselected package php-pear. Preparing to unpack .../php-pear_1%3a1.10.8+submodules+notgz-1+ubuntu16.04.1+deb.sury.org+1_all.deb ... Unpacking php-pear (1:1.10.8+submodules+notgz-1+ubuntu16.04.1+deb.sury.org+1) ... Selecting previously unselected package php-gettext. Preparing to unpack .../php-gettext_1.0.11-2+deb.sury.org~xenial+1_all.deb ... Unpacking php-gettext (1.0.11-2+deb.sury.org~xenial+1) ... Selecting previously unselected package php7.3-mbstring. Preparing to unpack .../php7.3-mbstring_7.3.5-1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.3-mbstring (7.3.5-1+ubuntu16.04.1+deb.sury.org+1) ... Selecting previously unselected package php-mbstring. Preparing to unpack .../php-mbstring_2%3a7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3_all.deb ... Unpacking php-mbstring (2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3) ... Selecting previously unselected package php7.0-mcrypt. Preparing to unpack .../php7.0-mcrypt_7.0.33-7+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.0-mcrypt (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) ... Selecting previously unselected package php-mcrypt. Preparing to unpack .../php-mcrypt_1%3a7.0+35ubuntu6.1_all.deb ... Unpacking php-mcrypt (1:7.0+35ubuntu6.1) ... Selecting previously unselected package php7.3-mysql. Preparing to unpack .../php7.3-mysql_7.3.5-1+ubuntu16.04.1+deb.sury.org+1_amd64.deb ... Unpacking php7.3-mysql (7.3.5-1+ubuntu16.04.1+deb.sury.org+1) ... Selecting previously unselected package php-mysql. Preparing to unpack .../php-mysql_2%3a7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3_all.deb ... Unpacking php-mysql (2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3) ... Selecting previously unselected package php-phpseclib. Preparing to unpack .../php-phpseclib_2.0.1-1build1_all.deb ... Unpacking php-phpseclib (2.0.1-1build1) ... Selecting previously unselected package php-tcpdf. Preparing to unpack .../php-tcpdf_6.0.093+dfsg-1ubuntu1_all.deb ... Unpacking php-tcpdf (6.0.093+dfsg-1ubuntu1) ... Selecting previously unselected package phpmyadmin. Preparing to unpack .../phpmyadmin_4%3a4.5.4.1-2ubuntu2.1_all.deb ... Unpacking phpmyadmin (4:4.5.4.1-2ubuntu2.1) ... Processing triggers for libc-bin (2.23-0ubuntu11) ... Processing triggers for man-db (2.7.5-1) ... Processing triggers for ureadahead (0.100.0-19.1) ... Processing triggers for systemd (229-4ubuntu21.21) ... Setting up libxau6:amd64 (1:1.0.8-1) ... Setting up libjpeg-turbo8:amd64 (1.4.2-0ubuntu3.1) ... Setting up libxdmcp6:amd64 (1:1.1.2-1.1) ... Setting up libxcb1:amd64 (1.11.1-1ubuntu1) ... Setting up libx11-data (2:1.6.3-1ubuntu2.1) ... Setting up libx11-6:amd64 (2:1.6.3-1ubuntu2.1) ... Setting up dbconfig-common (2.0.4ubuntu1) ... Creating config file /etc/dbconfig-common/config with new version Setting up dbconfig-mysql (2.0.4ubuntu1) ... Setting up fonts-dejavu-core (2.35-1) ... Setting up fontconfig-config (2.11.94-0ubuntu1.1) ... Setting up javascript-common (11) ... apache2_invoke: Enable configuration javascript-common Setting up libfontconfig1:amd64 (2.11.94-0ubuntu1.1) ... Setting up libjpeg8:amd64 (8c-2ubuntu8) ... Setting up libjbig0:amd64 (2.1-3.1+deb.sury.org~xenial+1) ... Setting up libtiff5:amd64 (4.0.6-1ubuntu0.6) ... Setting up libwebp6:amd64 (0.6.0-4+ubuntu16.04.1+deb.sury.org+1) ... Setting up libxpm4:amd64 (1:3.5.11-1ubuntu0.16.04.1) ... Setting up libgd3:amd64 (2.2.5-5.1+ubuntu16.04.1+deb.sury.org+1) ... Setting up libjs-jquery (1.11.3+dfsg-4) ... Setting up libjs-underscore (1.7.0~dfsg-1ubuntu1) ... Setting up libjs-sphinxdoc (1.3.6-2ubuntu1.2) ... Setting up libmcrypt4 (2.5.8-3.3) ... Setting up libxslt1.1:amd64 (1.1.28-2.1ubuntu0.2) ... Setting up php7.3-common (7.3.5-1+ubuntu16.04.1+deb.sury.org+1) ... Creating config file /etc/php/7.3/mods-available/calendar.ini with new version Creating config file /etc/php/7.3/mods-available/ctype.ini with new version Creating config file /etc/php/7.3/mods-available/exif.ini with new version Creating config file /etc/php/7.3/mods-available/fileinfo.ini with new version Creating config file /etc/php/7.3/mods-available/ftp.ini with new version Creating config file /etc/php/7.3/mods-available/gettext.ini with new version Creating config file /etc/php/7.3/mods-available/iconv.ini with new version Creating config file /etc/php/7.3/mods-available/pdo.ini with new version Creating config file /etc/php/7.3/mods-available/phar.ini with new version Creating config file /etc/php/7.3/mods-available/posix.ini with new version Creating config file /etc/php/7.3/mods-available/shmop.ini with new version Creating config file /etc/php/7.3/mods-available/sockets.ini with new version Creating config file /etc/php/7.3/mods-available/sysvmsg.ini with new version Creating config file /etc/php/7.3/mods-available/sysvsem.ini with new version Creating config file /etc/php/7.3/mods-available/sysvshm.ini with new version Creating config file /etc/php/7.3/mods-available/tokenizer.ini with new version Setting up php7.3-gd (7.3.5-1+ubuntu16.04.1+deb.sury.org+1) ... Creating config file /etc/php/7.3/mods-available/gd.ini with new version Setting up php-gd (2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3) ... Setting up php7.0-common (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) ... Setting up php7.0-json (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) ... Setting up php7.0-opcache (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) ... Setting up php7.0-readline (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) ... Setting up php7.0-cli (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) ... Replacing config file /etc/php/7.0/cli/php.ini with new version Setting up php7.0-fpm (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) ... Installing new version of config file /etc/apache2/conf- available/php7.0-fpm.conf ... Installing new version of config file /etc/init.d/php7.0-fpm ... Installing new version of config file /etc/init/php7.0-fpm.conf ... NOTICE: Not enabling PHP 7.0 FPM by default. NOTICE: To enable PHP 7.0 FPM in Apache2 do: NOTICE: a2enmod proxy_fcgi setenvif NOTICE: a2enconf php7.0-fpm NOTICE: You are seeing this message because you have apache2 package installed. Setting up php7.0 (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) ... Setting up php7.3-xml (7.3.5-1+ubuntu16.04.1+deb.sury.org+1) ... Creating config file /etc/php/7.3/mods-available/dom.ini with new version Creating config file /etc/php/7.3/mods-available/simplexml.ini with new version Creating config file /etc/php/7.3/mods-available/wddx.ini with new version Creating config file /etc/php/7.3/mods-available/xml.ini with new version Creating config file /etc/php/7.3/mods-available/xmlreader.ini with new version Creating config file /etc/php/7.3/mods-available/xmlwriter.ini with new version Creating config file /etc/php/7.3/mods-available/xsl.ini with new version Setting up php-xml (2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3) ... Setting up php-pear (1:1.10.8+submodules+notgz-1+ubuntu16.04.1+deb.sury.org+1) ... Setting up php-gettext (1.0.11-2+deb.sury.org~xenial+1) ... Setting up php7.3-mbstring (7.3.5-1+ubuntu16.04.1+deb.sury.org+1) ... Creating config file /etc/php/7.3/mods-available/mbstring.ini with new version Setting up php-mbstring (2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3) ... Setting up php7.0-mcrypt (7.0.33-7+ubuntu16.04.1+deb.sury.org+1) ... Creating config file /etc/php/7.0/mods-available/mcrypt.ini with new version Setting up php-mcrypt (1:7.0+35ubuntu6.1) ... Setting up php7.3-mysql (7.3.5-1+ubuntu16.04.1+deb.sury.org+1) ... Creating config file /etc/php/7.3/mods-available/mysqlnd.ini with new version Creating config file /etc/php/7.3/mods-available/mysqli.ini with new version Creating config file /etc/php/7.3/mods-available/pdo_mysql.ini with new version Setting up php-mysql (2:7.3+69+ubuntu16.04.1+deb.sury.org+2+php7.3) ... Setting up php-phpseclib (2.0.1-1build1) ... Setting up php-tcpdf (6.0.093+dfsg-1ubuntu1) ... Setting up phpmyadmin (4:4.5.4.1-2ubuntu2.1) ... Determining localhost credentials from /etc/mysql/debian.cnf: succeeded. dbconfig-common: writing config to /etc/dbconfig-common/phpmyadmin.conf Creating config file /etc/dbconfig-common/phpmyadmin.conf with new version Creating config file /etc/phpmyadmin/config-db.php with new version granting access to database phpmyadmin for phpmyadmin@localhost: success. verifying access for phpmyadmin@localhost: success. creating database phpmyadmin: success. verifying database phpmyadmin exists: success. populating database via sql... done. dbconfig-common: flushing administrative password Processing triggers for libc-bin (2.23-0ubuntu11) ... Processing triggers for ureadahead (0.100.0-19.1) ... Processing triggers for systemd (229-4ubuntu21.21) ... Processing triggers for php7.0-fpm (7.0.33- 7+ubuntu16.04.1+deb.sury.org+1) ... NOTICE: Not enabling PHP 7.0 FPM by default. NOTICE: To enable PHP 7.0 FPM in Apache2 do: NOTICE: a2enmod proxy_fcgi setenvif NOTICE: a2enconf php7.0-fpm NOTICE: You are seeing this message because you have apache2 package installed. </code></pre> <p>But as you can see it takes effect only on PHP7, that I don't use. And if i write <a href="http://domain/phpmyadmin" rel="nofollow noreferrer">http://domain/phpmyadmin</a> the page's not found.</p> <p>HOW TO CONFIGURE IT FOR PHP5? P.S. I don't have jet ssl (HTTPS) enabled.</p> <p>Thinked more simple...</p> </div>

jetson TX2的开发板安装Pangolin时执行到最后一步make时报错,请问是什么原因?

求帮助:jetson TX2的开发板Pangolin安装时报错,执行步骤如下: git clone https://github.com/stevenlovegrove/Pangolin.git cd Pangolin mkdir build cd build cmake .. make -j4 cmake .. 可以通过,直到执行到最后一步make -j4时报错,报错内容如下: [ 71%] Linking CXX shared library libpangolin.so /usr/bin/aarch64-linux-gnu-ld: skipping incompatible /usr/lib/gcc/aarch64-linux-gnu/6/../../../../lib/libOpenNI.so when searching for -lOpenNI /usr/bin/aarch64-linux-gnu-ld: skipping incompatible /usr/lib/../lib/libOpenNI.so when searching for -lOpenNI /usr/bin/aarch64-linux-gnu-ld: skipping incompatible /usr/lib/gcc/aarch64-linux-gnu/6/../../../libOpenNI.so when searching for -lOpenNI /usr/bin/aarch64-linux-gnu-ld: skipping incompatible //usr/lib/libOpenNI.so when searching for -lOpenNI /usr/bin/aarch64-linux-gnu-ld: cannot find -lOpenNI collect2: error: ld returned 1 exit status src/CMakeFiles/pangolin.dir/build.make:2245: recipe for target 'src/libpangolin.so' failed make[2]: *** [src/libpangolin.so] Error 1 CMakeFiles/Makefile2:136: recipe for target 'src/CMakeFiles/pangolin.dir/all' failed make[1]: *** [src/CMakeFiles/pangolin.dir/all] Error 2 Makefile:149: recipe for target 'all' failed make: *** [all] Error 2 说明1:TX2开发板装的ubuntu16.04 说明2:以前在此TX2开发板装过Pangolin,并且可以使用,后来可能是因为安装其他软件删除了openni等一些软件,然后再次安装时一直报错。 说明3:openni和openni2均已经安装,在usr/lib文件夹下可以找到libOpenNI.so和libOpenNI2.so等文件。根据网上说的可能是不兼容问题或者是没有库文件链接路经,尝试过好多种方法都没有解决,有哪位大神遇到过类似问题,求解答,感激不尽。。。

ubuntu16.04重装系统后,/home分区问题

我用的是双系统,ubuntu16.04重装系统后,现在的/home目录跑到了/ 分区下,原来/home 中的数据占着原来/home分区的空间,但是由于/home目录在/ 下,装软件时默认下载在/home 中都占用了/ 的空间,而原来的/home 分区没有用到 截图如下: ![图片说明](https://img-ask.csdn.net/upload/201705/24/1495616902_859569.png) 这个60多G的是我重装系统前的/home分区,重装后里面仅保存了之前/home中的数据 ![图片说明](https://img-ask.csdn.net/upload/201705/24/1495617375_478916.png) ![图片说明](https://img-ask.csdn.net/upload/201705/24/1495617439_817323.png) 而现在的/home在 / 下,导致下载时的软件,数据等都在/ 盘,而原来60多G的/home分区没有用上,有没有好心的大神知道如何把现在的home目录放到原来的/home分区中 蟹蟹啦>-<

ubuntu16.04安装opencv时,make不通过该怎么办?

cmake已经完成,情况如下: ``` cmake .. -- Detected version of GNU GCC: 54 (504) -- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found suitable version "1.2.8", minimum required is "1.2.3") -- Found ZLIB: /usr/lib/x86_64-linux-gnu/libz.so (found version "1.2.8") -- Checking for module 'gstreamer-base-1.0' -- No package 'gstreamer-base-1.0' found -- Checking for module 'gstreamer-video-1.0' -- No package 'gstreamer-video-1.0' found -- Checking for module 'gstreamer-app-1.0' -- No package 'gstreamer-app-1.0' found -- Checking for module 'gstreamer-riff-1.0' -- No package 'gstreamer-riff-1.0' found -- Checking for module 'gstreamer-pbutils-1.0' -- No package 'gstreamer-pbutils-1.0' found -- Checking for module 'gstreamer-base-0.10' -- No package 'gstreamer-base-0.10' found -- Checking for module 'gstreamer-video-0.10' -- No package 'gstreamer-video-0.10' found -- Checking for module 'gstreamer-app-0.10' -- No package 'gstreamer-app-0.10' found -- Checking for module 'gstreamer-riff-0.10' -- No package 'gstreamer-riff-0.10' found -- Checking for module 'gstreamer-pbutils-0.10' -- No package 'gstreamer-pbutils-0.10' found -- Looking for linux/videodev.h -- Looking for linux/videodev.h - not found -- Looking for linux/videodev2.h -- Looking for linux/videodev2.h - found -- Looking for sys/videoio.h -- Looking for sys/videoio.h - not found -- Checking for module 'libavresample' -- No package 'libavresample' found -- Looking for libavformat/avformat.h -- Looking for libavformat/avformat.h - found -- Looking for ffmpeg/avformat.h -- Looking for ffmpeg/avformat.h - not found -- Checking for module 'libgphoto2' -- No package 'libgphoto2' found -- found IPP (ICV version): 9.0.1 [9.0.1] -- at: /home/quxutao/opencv-3.1.0/3rdparty/ippicv/unpack/ippicv_lnx -- CUDA detected: 7.5 -- CUDA NVCC target flags: -gencode;arch=compute_20,code=sm_20;-gencode;arch=compute_20,code=sm_21;-gencode;arch=compute_30,code=sm_30;-gencode;arch=compute_35,code=sm_35;-gencode;arch=compute_30,code=compute_30 -- Could NOT find Doxygen (missing: DOXYGEN_EXECUTABLE) -- To enable PlantUML support, set PLANTUML_JAR environment variable or pass -DPLANTUML_JAR=<filepath> option to cmake -- Could NOT find PythonInterp: Found unsuitable version "1.4", but required is at least "2.7" (found /home/quxutao/.virtualenvs/cv/bin/python) -- Could NOT find PythonInterp: Found unsuitable version "1.4", but required is at least "2.6" (found /home/quxutao/.virtualenvs/cv/bin/python) -- Could NOT find PythonInterp: Found unsuitable version "1.4", but required is at least "3.4" (found /home/quxutao/.virtualenvs/cv/bin/python) -- Could NOT find PythonInterp: Found unsuitable version "1.4", but required is at least "3.2" (found /home/quxutao/.virtualenvs/cv/bin/python) -- Could NOT find JNI (missing: JAVA_INCLUDE_PATH JAVA_INCLUDE_PATH2 JAVA_AWT_INCLUDE_PATH) -- Could NOT find Matlab (missing: MATLAB_MEX_SCRIPT MATLAB_INCLUDE_DIRS MATLAB_ROOT_DIR MATLAB_LIBRARIES MATLAB_LIBRARY_DIRS MATLAB_MEXEXT MATLAB_ARCH MATLAB_BIN) -- VTK is not found. Please set -DVTK_DIR in CMake to VTK build directory, or to VTK install subdirectory with VTKConfig.cmake file -- Caffe: NO -- Protobuf: YES -- Glog: NO -- HDF5: YES -- Module opencv_sfm disabled because the following dependencies are not found: Eigen Glog/Gflags -- Tesseract: NO -- HDF5: YES -- Build libprotobuf from sources: -- The protocol buffer compiler not found -- Tesseract: NO -- -- General configuration for OpenCV 3.1.0 ===================================== -- Version control: unknown -- -- Platform: -- Host: Linux 4.15.0-47-generic x86_64 -- CMake: 3.5.1 -- CMake generator: Unix Makefiles -- CMake build tool: /usr/bin/make -- Configuration: RELEASE -- -- C/C++: -- Built as dynamic libs?: YES -- C++ Compiler: /usr/bin/c++ (ver 5.4.0) -- C++ flags (Release): -fsigned-char -W -Wall -Werror=return-type -Werror=non-virtual-dtor -Werror=address -Werror=sequence-point -Wformat -Werror=format-security -Wmissing-declarations -Wundef -Winit-self -Wpointer-arith -Wshadow -Wsign-promo -Wno-narrowing -Wno-delete-non-virtual-dtor -fdiagnostics-show-option -Wno-long-long -pthread -fomit-frame-pointer -msse -msse2 -mno-avx -msse3 -mno-ssse3 -mno-sse4.1 -mno-sse4.2 -ffunction-sections -fvisibility=hidden -fvisibility-inlines-hidden -O3 -DNDEBUG -DNDEBUG -- C++ flags (Debug): -fsigned-char -W -Wall -Werror=return-type -Werror=non-virtual-dtor -Werror=address -Werror=sequence-point -Wformat -Werror=format-security -Wmissing-declarations -Wundef -Winit-self -Wpointer-arith -Wshadow -Wsign-promo -Wno-narrowing -Wno-delete-non-virtual-dtor -fdiagnostics-show-option -Wno-long-long -pthread -fomit-frame-pointer -msse -msse2 -mno-avx -msse3 -mno-ssse3 -mno-sse4.1 -mno-sse4.2 -ffunction-sections -fvisibility=hidden -fvisibility-inlines-hidden -g -O0 -DDEBUG -D_DEBUG -- C Compiler: /usr/bin/cc -- C flags (Release): -fsigned-char -W -Wall -Werror=return-type -Werror=non-virtual-dtor -Werror=address -Werror=sequence-point -Wformat -Werror=format-security -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wundef -Winit-self -Wpointer-arith -Wshadow -Wno-narrowing -fdiagnostics-show-option -Wno-long-long -pthread -fomit-frame-pointer -msse -msse2 -mno-avx -msse3 -mno-ssse3 -mno-sse4.1 -mno-sse4.2 -ffunction-sections -fvisibility=hidden -O3 -DNDEBUG -DNDEBUG -- C flags (Debug): -fsigned-char -W -Wall -Werror=return-type -Werror=non-virtual-dtor -Werror=address -Werror=sequence-point -Wformat -Werror=format-security -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wundef -Winit-self -Wpointer-arith -Wshadow -Wno-narrowing -fdiagnostics-show-option -Wno-long-long -pthread -fomit-frame-pointer -msse -msse2 -mno-avx -msse3 -mno-ssse3 -mno-sse4.1 -mno-sse4.2 -ffunction-sections -fvisibility=hidden -g -O0 -DDEBUG -D_DEBUG -- Linker flags (Release): -- Linker flags (Debug): -- Precompiled headers: YES -- Extra dependencies: /usr/lib/x86_64-linux-gnu/libpng.so /usr/lib/x86_64-linux-gnu/libtiff.so /usr/lib/x86_64-linux-gnu/libjasper.so /usr/lib/x86_64-linux-gnu/libjpeg.so gtk-3 gdk-3 pangocairo-1.0 pango-1.0 atk-1.0 cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 gthread-2.0 glib-2.0 dc1394 v4l1 v4l2 avcodec-ffmpeg avformat-ffmpeg avutil-ffmpeg swscale-ffmpeg /usr/lib/x86_64-linux-gnu/libbz2.so /usr/lib/x86_64-linux-gnu/hdf5/openmpi/lib/libhdf5.so /usr/lib/x86_64-linux-gnu/libsz.so /usr/lib/x86_64-linux-gnu/libz.so /usr/lib/x86_64-linux-gnu/libdl.so /usr/lib/x86_64-linux-gnu/libm.so dl m pthread rt cudart nppc nppi npps cufft -L/usr/lib/x86_64-linux-gnu -- 3rdparty dependencies: libwebp IlmImf libprotobuf -- -- OpenCV modules: -- To be built: cudev core cudaarithm flann hdf imgproc ml reg surface_matching video cudabgsegm cudafilters cudaimgproc cudawarping dnn fuzzy imgcodecs photo shape videoio cudacodec highgui objdetect plot ts xobjdetect xphoto bgsegm bioinspired dpm face features2d line_descriptor saliency text calib3d ccalib cudafeatures2d cudalegacy cudaobjdetect cudaoptflow cudastereo datasets rgbd stereo structured_light superres tracking videostab xfeatures2d ximgproc aruco optflow stitching -- Disabled: world contrib_world -- Disabled by dependency: - -- Unavailable: java python2 python3 viz cvv matlab sfm -- -- GUI: -- QT: NO -- GTK+ 3.x: YES (ver 3.18.9) -- GThread : YES (ver 2.48.2) -- GtkGlExt: NO -- OpenGL support: NO -- VTK support: NO -- -- Media I/O: -- ZLib: /usr/lib/x86_64-linux-gnu/libz.so (ver 1.2.8) -- JPEG: /usr/lib/x86_64-linux-gnu/libjpeg.so (ver ) -- WEBP: build (ver 0.3.1) -- PNG: /usr/lib/x86_64-linux-gnu/libpng.so (ver 1.2.54) -- TIFF: /usr/lib/x86_64-linux-gnu/libtiff.so (ver 42 - 4.0.6) -- JPEG 2000: /usr/lib/x86_64-linux-gnu/libjasper.so (ver 1.900.1) -- OpenEXR: build (ver 1.7.1) -- GDAL: NO -- -- Video I/O: -- DC1394 1.x: NO -- DC1394 2.x: YES (ver 2.2.4) -- FFMPEG: YES -- codec: YES (ver 56.60.100) -- format: YES (ver 56.40.101) -- util: YES (ver 54.31.100) -- swscale: YES (ver 3.1.101) -- resample: NO -- gentoo-style: YES -- GStreamer: NO -- OpenNI: NO -- OpenNI PrimeSensor Modules: NO -- OpenNI2: NO -- PvAPI: NO -- GigEVisionSDK: NO -- UniCap: NO -- UniCap ucil: NO -- V4L/V4L2: Using libv4l1 (ver 1.10.0) / libv4l2 (ver 1.10.0) -- XIMEA: NO -- Xine: NO -- gPhoto2: NO -- -- Parallel framework: pthreads -- -- Other third-party libraries: -- Use IPP: 9.0.1 [9.0.1] -- at: /home/quxutao/opencv-3.1.0/3rdparty/ippicv/unpack/ippicv_lnx -- Use IPP Async: NO -- Use VA: NO -- Use Intel VA-API/OpenCL: NO -- Use Eigen: NO -- Use Cuda: YES (ver 7.5) -- Use OpenCL: YES -- Use custom HAL: NO -- -- NVIDIA CUDA -- Use CUFFT: YES -- Use CUBLAS: NO -- USE NVCUVID: NO -- NVIDIA GPU arch: 20 21 30 35 -- NVIDIA PTX archs: 30 -- Use fast math: NO -- -- OpenCL: -- Version: dynamic -- Include path: /home/quxutao/opencv-3.1.0/3rdparty/include/opencl/1.2 -- Use AMDFFT: NO -- Use AMDBLAS: NO -- -- Python 2: -- Interpreter: NO -- -- Python 3: -- Interpreter: NO -- -- Python (for build): NO -- -- Java: -- ant: NO -- JNI: NO -- Java wrappers: NO -- Java tests: NO -- -- Matlab: Matlab not found or implicitly disabled -- -- Documentation: -- Doxygen: NO -- PlantUML: NO -- -- Tests and samples: -- Tests: YES -- Performance tests: YES -- C/C++ Examples: YES -- -- Install path: /usr/local -- -- cvconfig.h is in: /home/quxutao/opencv-3.1.0/build -- ----------------------------------------------------------------- -- -- Configuring done -- Generating done -- Build files have been written to: /home/quxutao/opencv-3.1.0/build ``` 但是make的时候,就报错: ``` make [ 4%] Built target libwebp [ 4%] Built target IlmImf [ 4%] Built target opencv_cudev [ 4%] Built target opencv_core_pch_dephelp [ 4%] Built target pch_Generate_opencv_core [ 4%] Building NVCC (Device) object modules/core/CMakeFiles/cuda_compile.dir/src/cuda/cuda_compile_generated_gpu_mat.cu.o /usr/include/string.h: In function ‘void* __mempcpy_inline(void*, const void*, size_t)’: /usr/include/string.h:652:42: error: ‘memcpy’ was not declared in this scope return (char *) memcpy (__dest, __src, __n) + __n; ^ CMake Error at cuda_compile_generated_gpu_mat.cu.o.cmake:266 (message): Error generating file /home/quxutao/opencv-3.1.0/build/modules/core/CMakeFiles/cuda_compile.dir/src/cuda/./cuda_compile_generated_gpu_mat.cu.o modules/core/CMakeFiles/opencv_core.dir/build.make:399: recipe for target 'modules/core/CMakeFiles/cuda_compile.dir/src/cuda/cuda_compile_generated_gpu_mat.cu.o' failed make[2]: *** [modules/core/CMakeFiles/cuda_compile.dir/src/cuda/cuda_compile_generated_gpu_mat.cu.o] Error 1 CMakeFiles/Makefile2:2307: recipe for target 'modules/core/CMakeFiles/opencv_core.dir/all' failed make[1]: *** [modules/core/CMakeFiles/opencv_core.dir/all] Error 2 Makefile:160: recipe for target 'all' failed make: *** [all] Error 2 ``` 弄了一下午了,没有找到相关的解决办法。我的cuda是7.5,其实不用GPU也可以的,我只是想用KAZE滤波。。。跪求大神帮忙。。。

Ubuntu16.04安装进不去?

![图片说明](https://img-ask.csdn.net/upload/201903/28/1553746081_741350.jpg)![图片说明](https://img-ask.csdn.net/upload/201903/28/1553746089_374283.jpg) 从U盘进去黑屏,Ubuntu的界面转转转就出来这个,让我enter help,help完就是下面的图,卡住不动 是电脑配置问题还是我的U盘没有装好?怎么解决?

Ubuntu16.04安装ros Kinetic后 rosdep update一直不能过,使用了多种网上的办法依然不行

有时会一开始就报错有时会HIT几个url后报错,超时时间也更改过,但是重复命令一下午也没有成功过,求大佬们帮帮我 ERROR: unable to process source [https://raw.githubusercontent.com/ros/rosdistro/master/rosdep/osx-homebrew.yaml]: <urlopen error [Errno 111] Connection refused> (https://raw.githubusercontent.com/ros/rosdistro/master/rosdep/osx-homebrew.yaml)

在ubuntu上使用Cmake编译src/irrlicht中代码出现错误

使用CMake编译出现如下许多未定义的错误,请问大家该如何解决 /usr/local/lib/libIrrlicht.a(CIrrDeviceLinux.o):在函数‘irr::CIrrDeviceLinux::~CIrrDeviceLinux()’中: /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:138:对‘XFree’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:170:对‘glXMakeContextCurrent’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:175:对‘glXMakeCurrent’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:178:对‘glXDestroyContext’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:180:对‘glXDestroyWindow’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:192:对‘XDestroyWindow’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:193:对‘XCloseDisplay’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:197:对‘XFree’未定义的引用 /usr/local/lib/libIrrlicht.a(CIrrDeviceLinux.o):在函数‘irr::CIrrDeviceLinux::~CIrrDeviceLinux()’中: /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:138:对‘XFree’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:170:对‘glXMakeContextCurrent’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:175:对‘glXMakeCurrent’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:178:对‘glXDestroyContext’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:180:对‘glXDestroyWindow’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:192:对‘XDestroyWindow’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:193:对‘XCloseDisplay’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:197:对‘XFree’未定义的引用 /usr/local/lib/libIrrlicht.a(CIrrDeviceLinux.o):在函数‘irr::IrrPrintXError(_XDisplay*, XErrorEvent*)’中: /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:220:对‘XGetErrorDatabaseText’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:221:对‘XGetErrorText’未定义的引用 /usr/local/lib/libIrrlicht.a(CIrrDeviceLinux.o):在函数‘irr::CIrrDeviceLinux::switchToFullscreen(bool)’中: /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:238:对‘XF86VidModeSwitchToMode’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:239:对‘XF86VidModeSetViewPort’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:260:对‘XF86VidModeQueryExtension’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:266:对‘XF86VidModeGetAllModeLines’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:286:对‘XF86VidModeSwitchToMode’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:287:对‘XF86VidModeSetViewPort’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:296:对‘XFree’未定义的引用 /usr/local/lib/libIrrlicht.a(CIrrDeviceLinux.o):在函数‘irr::CIrrDeviceLinux::createWindow()’中: /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:375:对‘XSetErrorHandler’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:378:对‘XOpenDisplay’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:382:对‘XDisplayName’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:383:对‘XDisplayName’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:400:对‘glXQueryExtension’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:401:对‘glXQueryVersion’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:407:对‘glXGetProcAddress’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:555:对‘XFree’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:559:对‘glXGetProcAddress’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:593:对‘glXChooseVisual’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:601:对‘glXChooseVisual’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:607:对‘glXChooseVisual’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:631:对‘XGetVisualInfo’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:640:对‘XCloseDisplay’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:653:对‘XCreateColormap’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:668:对‘XCreateWindow’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:674:对‘XMapRaised’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:677:对‘XInternAtom’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:678:对‘XSetWMProtocols’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:681:对‘XSetInputFocus’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:683:对‘XGrabKeyboard’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:686:对‘XGrabPointer’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:688:对‘XWarpPointer’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:702:对‘XCreateWindow’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:705:对‘XGetWindowAttributes’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:724:对‘glXCreateWindow’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:728:对‘glXCreateNewContext’未定义的引用 /home/cidi/文档/irrlicht/source/Irrlicht/CIrrDeviceLinux.cpp:731:对‘glXMakeContextCurrent’未定义的引用

gopacket ubuntu16.04错误未定义:pcapErrorNotActivated

<div class="post-text" itemprop="text"> <p>root@ubuntu:~/processNet/processNet# go run testversion.go </p> <h1>github.com/google/gopacket/pcap</h1> <p>/home/go/src/github.com/google/gopacket/pcap/pcap.go:30:22: undefined: pcapErrorNotActivated /home/go/src/github.com/google/gopacket/pcap/pcap.go:52:17: undefined: pcapTPtr /home/go/src/github.com/google/gopacket/pcap/pcap.go:64:10: undefined: pcapPkthdr</p> <pre><code> import ( "fmt" "github.com/google/gopacket/pcap" ) func main() { fmt.Println(pcap.Version()) }``` Already installed libpcap and c test available </code></pre> </div>

Ubuntu16.04编译OpenJDK1.8 报错

在linux ubuntu16.04下编译openjdk1.8 编译到后面,报了如下错误 ## Starting jdk Importing CORBA classes.jar Importing JAXP classes.jar Importing JAXWS classes.jar Importing LANGTOOLS classes.jar Importing CORBA src.zip Importing JAXP src.zip Importing JAXWS src.zip Importing LANGTOOLS src.zip Importing CORBA bin.zip Compiling 162 files for BUILD_TOOLS 注: 某些输入文件使用了未经检查或不安全的操作。 注: 有关详细信息, 请使用 -Xlint:unchecked 重新编译。 Compiling 521 properties into resource bundles Copying and cleaning 53 properties make[2]: *** No rule to make target '/home/wangchunsheng/openjdk/jdk/src/share/classes/sun/util/locale/provider/LocaleDataMetaInfo-XLocales.java.template', needed by '/home/wangchunsheng/openjdk/build/linux-x86_64-normal-server-release/jdk/gensrc/sun/util/locale/provider/LocaleDataMetaInfo.java'。 停止。 BuildJdk.gmk:55: recipe for target 'gensrc-only' failed make[1]: *** [gensrc-only] Error 2 /home/wangchunsheng/openjdk//make/Main.gmk:115: recipe for target 'jdk-only' failed make: *** [jdk-only] Error 2 求教大神如何解决???

Ubuntu 下 Openssl 运行错误

系统:Ubuntu 16.04 64 最近新升级了openssl 到 1.1.0d,运行openssl报错: openssl: /usr/local/lib/libssl.so.1.1: version `OPENSSL_1_1_0' not found (required by openssl) openssl: /usr/local/lib/libcrypto.so.1.1: version `OPENSSL_1_1_0' not found (required by openssl) ![图片说明](https://img-ask.csdn.net/upload/201708/12/1502538649_991148.png)

高山ctypes loadlibrary()上的python失败,并出现OSError:重定位./cc.so:时出错::initial-exec TLS解析为./cc.so中的动态定义

<div class="post-text" itemprop="text"> <p>I working on using golang builded shared library in python script(ctypes loadlibrary) on alpine based container.</p> <h2>But it is failed as follows,</h2> <blockquote> <p>/usr/src/app # <strong>go build -o cc.so -buildmode=c-shared main.go</strong></p> <p>/usr/src/app # <strong>readelf -d cc.so</strong></p> <p>Dynamic section at offset 0x10cd10 contains 22 entries: Tag Type Name/Value 0x0000000000000001 (NEEDED) Shared library: [libc.musl-x86_64.so.1] 0x0000000000000010 (SYMBOLIC) 0x0 0x000000000000000c (INIT) 0x42000 0x000000000000000d (FINI) 0x92ed9 0x0000000000000019 (INIT_ARRAY) 0xa2078 0x000000000000001b (INIT_ARRAYSZ) 8 (bytes) 0x000000006ffffef5 (GNU_HASH) 0x270 0x0000000000000005 (STRTAB) 0xa50 0x0000000000000006 (SYMTAB) 0x378 0x000000000000000a (STRSZ) 1026 (bytes) 0x000000000000000b (SYMENT) 24 (bytes) 0x0000000000000003 (PLTGOT) 0x10deb0 0x0000000000000002 (PLTRELSZ) 720 (bytes) 0x0000000000000014 (PLTREL) RELA 0x0000000000000017 (JMPREL) 0x41a00 0x0000000000000007 (RELA) 0xe58 0x0000000000000008 (RELASZ) 265128 (bytes) 0x0000000000000009 (RELAENT) 24 (bytes) 0x000000000000001e (FLAGS) SYMBOLIC BIND_NOW STATIC_TLS 0x000000006ffffffb (FLAGS_1) Flags: NOW NODELETE 0x000000006ffffff9 (RELACOUNT) 11040 0x0000000000000000 (NULL) 0x0</p> <p>/usr/src/app # <strong>python test.py</strong> Traceback (most recent call last): File "test.py", line 2, in lib = ctypes.cdll.LoadLibrary('./cc.so') File "/usr/lib/python2.7/ctypes/init.py", line 444, in LoadLibrary return self._dlltype(name) File "/usr/lib/python2.7/ctypes/init.py", line 366, in init self._handle = _dlopen(self._name, mode) OSError: Error relocating ./cc.so: : initial-exec TLS resolves to dynamic definition in ./cc.so</p> </blockquote> <h2>I have tried the following docker images</h2> <ol> <li><p>Alpine 3.9 install go and python 2.7 on it</p></li> <li><p>go1.12:alpine and python2.7:alpine run go build to create shared library(go build -o cc.so -buildmode=c-shared main.go) then copy cc.so to python2.7:alpine container, run python test.py</p></li> </ol> <p>The same problem.</p> <p><strong>But if I use ubuntu16.04 image and install go and python to do the same test, it works.</strong></p> <h2>The main.go and test.py are as follows,</h2> <pre><code>//main.go package main import "C" //export add func add(left, right int) int { return left + right } //export minus func minus(left, right int) int { return left - right } //export multiply func multiply(left, right int) int { return left * right } //export divide func divide(left, right int) int { return left / right } //export testPrint func testPrint(){ print("test") } func main() { } // test.py import ctypes lib = ctypes.cdll.LoadLibrary('./cc.so') if lib is not None: print ("can load so") </code></pre> </div>

Ubuntu 16.04两个软件出现依赖问题导致无法安装或删除软件

在Ubuntu16.04上安装了xmind,有提示说有安装错误,但却能打开xmind,故开始没在 意,后面再装了teamviewer,提示出错,有不满足的以来,然后我就准备卸载了teamviewer, 出现了一下情况, ![图片说明](https://img-ask.csdn.net/upload/201607/26/1469533778_720425.png) 卸载不了teamviewer,去卸载xmind,又出现 ![图片说明](https://img-ask.csdn.net/upload/201607/26/1469534166_409029.png) 再试下了是否能安装或卸载其他软件均出现又不满足的依赖, ![图片说明](https://img-ask.csdn.net/upload/201607/26/1469534191_744492.png)遇到这种情况,在不重装的前提下该如何解决?还请大神解惑~~

关于Ubuntu16.04用tar.gz通用压缩包安装mysql5.7.17失败

系统Ubuntu16.04 64位 准备安装MySQL 57.7.17 概要 apt-cache search libaio #安装mysql依赖库 tar -zxvf -zxvf mysql-5.7.17-linux-glibc2.5-x86_64.tar.gz #解压压缩包 mv mysql-5.7.17-linux-glibc2.5-x86_64 mysql #修改名字 groupadd mysql #添加用户组 useradd -r -g mysql -s /bin/false mysql #添加用户 cd mysql #进入mysql目录 mkdir mysql-files #新建目录 chmod 750 mysql-files #给目录授权为mysql 用户 chown -R mysql . chgrp -R mysql . bin/mysqld --initialize --user=mysql --basedir=/usr/local/mysql --datadir=/usr/local/mysql/data #初始化mysql数据库 bin/mysql_ssl_rsa_setup #创建SSL证书,密钥文件和RSA密钥对文件 chown -R root . #给当前目录授权为用户root chown -R mysql data mysql-files bin/mysqld_safe --user=mysql & #启动mysql 问题卡在这了 ![图片说明](https://img-ask.csdn.net/upload/201704/04/1491243943_360085.jpg) 详细步骤 1.安装准备 1.1查看自己的Linux系统版本 命令: cat /etc/issue 再具体点:uname -a 86_64就代表64位的系统 OK,咱们确定了自己的系统,现在去MySQL官网下载二进制压缩包源文件 1.2官网下载安装包 https://dev.mysql.com/downloads/mysql/ ![图片说明](https://img-ask.csdn.net/upload/201704/04/1491244259_939400.jpg) 选择对应的安装包 ![图片说明](https://img-ask.csdn.net/upload/201704/04/1491244281_48676.jpg) ![图片说明](https://img-ask.csdn.net/upload/201704/04/1491244297_258139.jpg) 下载的话,有两种方式: 1.从官网下载,然后用FTP软件上传到服务器上。 2.使用在线下载的方式,使用命令: wget -P /usr/local/support https://cdn.mysql.com//Downloads/MySQL-5.7/mysql-5.7.17-linux-glibc2.5-x86_64.tar.gz 注:-P /usr/local/support 是指定下载目录 不要问我为啥网速这么快。。。。我也震惊了 ![图片说明](https://img-ask.csdn.net/upload/201704/04/1491244091_52801.jpg) 2.开始安装: 参考官方文档 ①为了预防以前安装过mysql,导致旧版本遗留文件冲突,所以需要把以前安装的文件都删除掉 /etc/my.cnf /etc/msyql目录 查找命令: find / -name 文件名or目录名 删除命令: rm -rf 文件名or目录名 ②安装mysql的依赖库libaio 搜索命令 apt-cache search libaio apt-cache search libaio 如果搜索没有显示结果,就安装 安装命令:apt-get install libaio1 注:如果报错,则需要使用更新命令 apt-get update 更新后就可以安装依赖库了 ③解压压缩包 命令: tar -zxvf -zxvf mysql-5.7.17-linux-glibc2.5-x86_64.tar.gz ④改名字,便于操作 命令:mv mysql-5.7.17-linux-glibc2.5-x86_64 mysql ④添加用户组, 添加用户 groupadd mysql useradd -r -g mysql -s /bin/false mysql ⑤进入msyql目录,创建目录mysql-files cd mysql mkdir mysql-files ⑥给文件夹授权为用户mysql chmod 750 mysql-files chown -R mysql . chgrp -R mysql . ⑦初始化数据库 bin/mysqld --initialize --user=mysql --basedir=/usr/local/mysql --datadir=/usr/local/mysql/data ⑧创建SSL证书,密钥文件和RSA密钥对文件 bin/mysql_ssl_rsa_setup ⑨给当前目录授权为用户root chown -R root . chown -R mysql data mysql-files ⑩问题来了 每当我执行到这个命令时,就卡那不懂了。。。。请教大神,这是为什么 bin/mysqld_safe --user=mysql & # Next command is optional ![图片说明](https://img-ask.csdn.net/upload/201704/04/1491244374_944582.jpg) 然后: 执行 mysql -u root -p 再输入密码,显示: ![图片说明](https://img-ask.csdn.net/upload/201704/04/1491244197_897753.png) 尝试解决 网上搜的方法: 在my.cnf 中添加sockt ![图片说明](https://img-ask.csdn.net/upload/201704/04/1491244246_429225.png) 使用该方法启动 mysql -p --socket=/tmp/mysql.sock ![图片说明](https://img-ask.csdn.net/upload/201704/04/1491244255_351582.png) 另外,参考这篇博客 http://ng2.site/mysql/2016/11/16/install-mysql-offline.html 也是安装失败,请大神指点! ------------------------------------------------------------------------------------------------------------------------------------------------------ PS: 我用apt-get install mysql-server 可以成功安装,但是用通用二进制压缩包离线安装一直安装不成功,这个问题纠结我很久了,成了心结,所以一定要解决掉!

ubuntu16.04 找不到libc++.so

我在ubuntu16.04 搭建Android开发环境,使用aapt时出现这样的错误: ./aapt: error while loading shared libraries: libc++.so: cannot open shared object file: No such file or directory 关于libc++.so => not found这个问题该怎么解决呢?需要添加的库我都添加了,就是没有这个,求解

ubuntu16.04下python打开http/https报错

![ubuntu16.04下使用python中的urllib.urlopen()打开https报错IOError](https://img-ask.csdn.net/upload/201708/27/1503834919_805174.png) ``` >>> import urllib >>> urllib.urlopen('https://www.baidu.com') Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/local/lib/python2.7/urllib.py", line 87, in urlopen return opener.open(url) File "/usr/local/lib/python2.7/urllib.py", line 210, in open return self.open_unknown(fullurl, data) File "/usr/local/lib/python2.7/urllib.py", line 222, in open_unknown raise IOError, ('url error', 'unknown url type', type) IOError: [Errno url error] unknown url type: 'https' ``` 报错信息:IOError: [Errno url error] unknown url type: 'https' ![ubuntu16.04下使用python中的urllib2.urlopen()打开https/http报错](https://img-ask.csdn.net/upload/201708/27/1503835100_415721.png) ``` >>> import urllib2 >>> urllib2.urlopen('https://www.baidu.com') Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/local/lib/python2.7/urllib2.py", line 154, in urlopen return opener.open(url, data, timeout) File "/usr/local/lib/python2.7/urllib2.py", line 429, in open response = self._open(req, data) File "/usr/local/lib/python2.7/urllib2.py", line 452, in _open 'unknown_open', req) File "/usr/local/lib/python2.7/urllib2.py", line 407, in _call_chain result = func(*args) File "/usr/local/lib/python2.7/urllib2.py", line 1266, in unknown_open raise URLError('unknown url type: %s' % type) urllib2.URLError: <urlopen error unknown url type: https> >>> urllib2.urlopen('http://www.baidu.com') Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/local/lib/python2.7/urllib2.py", line 154, in urlopen return opener.open(url, data, timeout) File "/usr/local/lib/python2.7/urllib2.py", line 429, in open response = self._open(req, data) File "/usr/local/lib/python2.7/urllib2.py", line 447, in _open '_open', req) File "/usr/local/lib/python2.7/urllib2.py", line 407, in _call_chain result = func(*args) File "/usr/local/lib/python2.7/urllib2.py", line 1228, in http_open return self.do_open(httplib.HTTPConnection, req) File "/usr/local/lib/python2.7/urllib2.py", line 1198, in do_open raise URLError(err) urllib2.URLError: <urlopen error [Errno -3] Temporary failure in name resolution> >>> ``` 报错信息: urllib2.URLError: <urlopen error unknown url type: https> urllib2.URLError: <urlopen error [Errno -3] Temporary failure in name resolution> 这个要如何解决?求大神指点迷津,谢谢!

caffe安装过程中boost::未定义问题

各位大神,我在ubuntu16.04中安装caffe,进行到make all的时候报了如下错误: CXX/LD -o .build_release/test/test_all.testbin src/caffe/test/test_caffe_main.cpp .build_release/src/caffe/test/test_benchmark.o:在函数‘void boost::this_thread::sleep<boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000l> >(boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000l> const&)’中: test_benchmark.cpp:(.text._ZN5boost11this_thread5sleepINS_9date_time18subsecond_durationINS_10posix_time13time_durationELl1000EEEEEvRKT_[_ZN5boost11this_thread5sleepINS_9date_time18subsecond_durationINS_10posix_time13time_durationELl1000EEEEEvRKT_]+0x25a):对‘boost::this_thread::hidden::sleep_until(timespec const&)’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::thread::start_thread_noexcept()’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::thread::detach()’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::detail::thread_data_base::~thread_data_base()’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::thread::native_handle()’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::thread::interrupt()’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::this_thread::interruption_point()’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::detail::set_tss_data(void const*, boost::shared_ptr<boost::detail::tss_cleanup_function>, void*, bool)’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::thread::interruption_requested() const’未定义的引用 .build_release/lib/libcaffe.so:对‘vtable for boost::detail::thread_data_base’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::detail::get_current_thread_data()’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::thread::joinable() const’未定义的引用 .build_release/lib/libcaffe.so:对‘typeinfo for boost::detail::thread_data_base’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::detail::get_tss_data(void const*)’未定义的引用 .build_release/lib/libcaffe.so:对‘boost::thread::join_noexcept()’未定义的引用 collect2: error: ld returned 1 exit status Makefile:603: recipe for target '.build_release/test/test_all.testbin' failed make: *** [.build_release/test/test_all.testbin] Error 1 一直没有找到有效的解决办法.麻烦遇到过的朋友指点迷津.定重谢!

急急急!!! ubuntu16.04安装出现问题

今天我在windows10下安装了ubuntu16.04,我是GPT+EFI模式,因此给交换空间分配了16G,给引导项分配了500M,给home和根目录各差不多分配了70G. 安装完后慢慢地提示我根目录空间不够了,我查找大文件发现在var文件夹下的log文件夹中有kern.log和syslog两个日志文件很大,都差不多占了30多G,一下子把我的根目录占满了,我也对其进行了一定地清理,清理完时它比较小,但是慢慢地又开始增大,从几百K在十几分钟内增大到30G。希望大家能帮我解答一下,谢谢。![根目录空间不足](https://img-ask.csdn.net/upload/201802/24/1519483218_775584.jpg) ![top命令后](https://img-ask.csdn.net/upload/201802/24/1519483445_711567.jpg) 也可以私戳我QQ791856811 谢谢

ubuntu 16.04安装出现错误

这不是官方的ubuntu软件包。请删除所有第三方软件包,然后重试,新手求教

在中国程序员是青春饭吗?

今年,我也32了 ,为了不给大家误导,咨询了猎头、圈内好友,以及年过35岁的几位老程序员……舍了老脸去揭人家伤疤……希望能给大家以帮助,记得帮我点赞哦。 目录: 你以为的人生 一次又一次的伤害 猎头界的真相 如何应对互联网行业的「中年危机」 一、你以为的人生 刚入行时,拿着傲人的工资,想着好好干,以为我们的人生是这样的: 等真到了那一天,你会发现,你的人生很可能是这样的: ...

技术大佬:我去,你写的 switch 语句也太老土了吧

昨天早上通过远程的方式 review 了两名新来同事的代码,大部分代码都写得很漂亮,严谨的同时注释也很到位,这令我非常满意。但当我看到他们当中有一个人写的 switch 语句时,还是忍不住破口大骂:“我擦,小王,你丫写的 switch 语句也太老土了吧!” 来看看小王写的代码吧,看完不要骂我装逼啊。 private static String createPlayer(PlayerTypes p...

华为初面+综合面试(Java技术面)附上面试题

华为面试整体流程大致分为笔试,性格测试,面试,综合面试,回学校等结果。笔试来说,华为的难度较中等,选择题难度和网易腾讯差不多。最后的代码题,相比下来就简单很多,一共3道题目,前2题很容易就AC,题目已经记不太清楚,不过难度确实不大。最后一题最后提交的代码过了75%的样例,一直没有发现剩下的25%可能存在什么坑。 笔试部分太久远,我就不怎么回忆了。直接将面试。 面试 如果说腾讯的面试是挥金如土...

和黑客斗争的 6 天!

互联网公司工作,很难避免不和黑客们打交道,我呆过的两家互联网公司,几乎每月每天每分钟都有黑客在公司网站上扫描。有的是寻找 Sql 注入的缺口,有的是寻找线上服务器可能存在的漏洞,大部分都...

讲一个程序员如何副业月赚三万的真实故事

loonggg读完需要3分钟速读仅需 1 分钟大家好,我是你们的校长。我之前讲过,这年头,只要肯动脑,肯行动,程序员凭借自己的技术,赚钱的方式还是有很多种的。仅仅靠在公司出卖自己的劳动时...

win10暴力查看wifi密码

刚才邻居打了个电话说:喂小灰,你家wifi的密码是多少,我怎么连不上了。 我。。。 我也忘了哎,就找到了一个好办法,分享给大家: 第一种情况:已经连接上的wifi,怎么知道密码? 打开:控制面板\网络和 Internet\网络连接 然后右击wifi连接的无线网卡,选择状态 然后像下图一样: 第二种情况:前提是我不知道啊,但是我以前知道密码。 此时可以利用dos命令了 1、利用netsh wlan...

上班一个月,后悔当初着急入职的选择了

最近有个老铁,告诉我说,上班一个月,后悔当初着急入职现在公司了。他之前在美图做手机研发,今年美图那边今年也有一波组织优化调整,他是其中一个,在协商离职后,当时捉急找工作上班,因为有房贷供着,不能没有收入来源。所以匆忙选了一家公司,实际上是一个大型外包公司,主要派遣给其他手机厂商做外包项目。**当时承诺待遇还不错,所以就立马入职去上班了。但是后面入职后,发现薪酬待遇这块并不是HR所说那样,那个HR自...

总结了 150 余个神奇网站,你不来瞅瞅吗?

原博客再更新,可能就没了,之后将持续更新本篇博客。

副业收入是我做程序媛的3倍,工作外的B面人生是怎样的?

提到“程序员”,多数人脑海里首先想到的大约是:为人木讷、薪水超高、工作枯燥…… 然而,当离开工作岗位,撕去层层标签,脱下“程序员”这身外套,有的人生动又有趣,马上展现出了完全不同的A/B面人生! 不论是简单的爱好,还是正经的副业,他们都干得同样出色。偶尔,还能和程序员的特质结合,产生奇妙的“化学反应”。 @Charlotte:平日素颜示人,周末美妆博主 大家都以为程序媛也个个不修边幅,但我们也许...

如果你是老板,你会不会踢了这样的员工?

有个好朋友ZS,是技术总监,昨天问我:“有一个老下属,跟了我很多年,做事勤勤恳恳,主动性也很好。但随着公司的发展,他的进步速度,跟不上团队的步伐了,有点...

我入职阿里后,才知道原来简历这么写

私下里,有不少读者问我:“二哥,如何才能写出一份专业的技术简历呢?我总感觉自己写的简历太烂了,所以投了无数份,都石沉大海了。”说实话,我自己好多年没有写过简历了,但我认识的一个同行,他在阿里,给我说了一些他当年写简历的方法论,我感觉太牛逼了,实在是忍不住,就分享了出来,希望能够帮助到你。 01、简历的本质 作为简历的撰写者,你必须要搞清楚一点,简历的本质是什么,它就是为了来销售你的价值主张的。往深...

带了6个月的徒弟当了面试官,而身为高级工程师的我天天修Bug......

即将毕业的应届毕业生一枚,现在只拿到了两家offer,但最近听到一些消息,其中一个offer,我这个组据说客户很少,很有可能整组被裁掉。 想问大家: 如果我刚入职这个组就被裁了怎么办呢? 大家都是什么时候知道自己要被裁了的? 面试软技能指导: BQ/Project/Resume 试听内容: 除了刷题,还有哪些技能是拿到offer不可或缺的要素 如何提升面试软实力:简历, 行为面试,沟通能...

!大部分程序员只会写3年代码

如果世界上都是这种不思进取的软件公司,那别说大部分程序员只会写 3 年代码,恐怕就没有程序员这种职业。

离职半年了,老东家又发 offer,回不回?

有小伙伴问松哥这个问题,他在上海某公司,在离职了几个月后,前公司的领导联系到他,希望他能够返聘回去,他很纠结要不要回去? 俗话说好马不吃回头草,但是这个小伙伴既然感到纠结了,我觉得至少说明了两个问题:1.曾经的公司还不错;2.现在的日子也不是很如意。否则应该就不会纠结了。 老实说,松哥之前也有过类似的经历,今天就来和小伙伴们聊聊回头草到底吃不吃。 首先一个基本观点,就是离职了也没必要和老东家弄的苦...

HTTP与HTTPS的区别

面试官问HTTP与HTTPS的区别,我这样回答让他竖起大拇指!

程序员毕业去大公司好还是小公司好?

虽然大公司并不是人人都能进,但我仍建议还未毕业的同学,尽力地通过校招向大公司挤,但凡挤进去,你这一生会容易很多。 大公司哪里好?没能进大公司怎么办?答案都在这里了,记得帮我点赞哦。 目录: 技术氛围 内部晋升与跳槽 啥也没学会,公司倒闭了? 不同的人脉圈,注定会有不同的结果 没能去大厂怎么办? 一、技术氛围 纵观整个程序员技术领域,哪个在行业有所名气的大牛,不是在大厂? 而且众所...

程序员为什么千万不要瞎努力?

本文作者用对比非常鲜明的两个开发团队的故事,讲解了敏捷开发之道 —— 如果你的团队缺乏统一标准的环境,那么即使勤劳努力,不仅会极其耗时而且成果甚微,使用...

为什么程序员做外包会被瞧不起?

二哥,有个事想询问下您的意见,您觉得应届生值得去外包吗?公司虽然挺大的,中xx,但待遇感觉挺低,马上要报到,挺纠结的。

当HR压你价,说你只值7K,你该怎么回答?

当HR压你价,说你只值7K时,你可以流畅地回答,记住,是流畅,不能犹豫。 礼貌地说:“7K是吗?了解了。嗯~其实我对贵司的面试官印象很好。只不过,现在我的手头上已经有一份11K的offer。来面试,主要也是自己对贵司挺有兴趣的,所以过来看看……”(未完) 这段话主要是陪HR互诈的同时,从公司兴趣,公司职员印象上,都给予对方正面的肯定,既能提升HR的好感度,又能让谈判气氛融洽,为后面的发挥留足空间。...

面试:第十六章:Java中级开发(16k)

HashMap底层实现原理,红黑树,B+树,B树的结构原理 Spring的AOP和IOC是什么?它们常见的使用场景有哪些?Spring事务,事务的属性,传播行为,数据库隔离级别 Spring和SpringMVC,MyBatis以及SpringBoot的注解分别有哪些?SpringMVC的工作原理,SpringBoot框架的优点,MyBatis框架的优点 SpringCould组件有哪些,他们...

面试阿里p7,被按在地上摩擦,鬼知道我经历了什么?

面试阿里p7被问到的问题(当时我只知道第一个):@Conditional是做什么的?@Conditional多个条件是什么逻辑关系?条件判断在什么时候执...

终于懂了TCP和UDP协议区别

终于懂了TCP和UDP协议区别

Python爬虫,高清美图我全都要(彼岸桌面壁纸)

爬取彼岸桌面网站较为简单,用到了requests、lxml、Beautiful Soup4

无代码时代来临,程序员如何保住饭碗?

编程语言层出不穷,从最初的机器语言到如今2500种以上的高级语言,程序员们大呼“学到头秃”。程序员一边面临编程语言不断推陈出新,一边面临由于许多代码已存在,程序员编写新应用程序时存在重复“搬砖”的现象。 无代码/低代码编程应运而生。无代码/低代码是一种创建应用的方法,它可以让开发者使用最少的编码知识来快速开发应用程序。开发者通过图形界面中,可视化建模来组装和配置应用程序。这样一来,开发者直...

面试了一个 31 岁程序员,让我有所触动,30岁以上的程序员该何去何从?

最近面试了一个31岁8年经验的程序猿,让我有点感慨,大龄程序猿该何去何从。

大三实习生,字节跳动面经分享,已拿Offer

说实话,自己的算法,我一个不会,太难了吧

程序员垃圾简历长什么样?

已经连续五年参加大厂校招、社招的技术面试工作,简历看的不下于万份 这篇文章会用实例告诉你,什么是差的程序员简历! 疫情快要结束了,各个公司也都开始春招了,作为即将红遍大江南北的新晋UP主,那当然要为小伙伴们做点事(手动狗头)。 就在公众号里公开征简历,义务帮大家看,并一一点评。《启舰:春招在即,义务帮大家看看简历吧》 一石激起千层浪,三天收到两百多封简历。 花光了两个星期的所有空闲时...

美团面试,问了ThreadLocal原理,这个回答让我通过了

他想都想不到,ThreadLocal我烂熟于心

大牛都会用的IDEA调试技巧!!!

导读 前天面试了一个985高校的实习生,问了他平时用什么开发工具,他想也没想的说IDEA,于是我抛砖引玉的问了一下IDEA的调试用过吧,你说说怎么设置断点...

面试官:你连SSO都不懂,就别来面试了

大厂竟然要考我SSO,卧槽。

立即提问
相关内容推荐